LandingLens and LandingEdge docs have moved to landinglens.docs.landing.ai!
curl -X POST 'https://api.va.landing.ai/v1/ade/split' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'markdown=@markdown.md' \
-F 'split_class=[{"name": "split type name", "description": "description of split type", "identifier": "unique identifier field"}]' \
-F 'model=split-latest'{
"splits": [
{
"classification": "<string>",
"identifier": "<string>",
"pages": [
123
],
"markdowns": [
"<string>"
]
}
],
"metadata": {
"filename": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"org_id": "<string>",
"job_id": "",
"version": "<string>"
}
}Split classification for documents.
This endpoint classifies document sections based on markdown content and split options.
For EU users, use this endpoint:
https://api.va.eu-west-1.landing.ai/v1/ade/split.
curl -X POST 'https://api.va.landing.ai/v1/ade/split' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'markdown=@markdown.md' \
-F 'split_class=[{"name": "split type name", "description": "description of split type", "identifier": "unique identifier field"}]' \
-F 'model=split-latest'{
"splits": [
{
"classification": "<string>",
"identifier": "<string>",
"pages": [
123
],
"markdowns": [
"<string>"
]
}
],
"metadata": {
"filename": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"org_id": "<string>",
"job_id": "",
"version": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.landing.ai/llms.txt
Use this file to discover all available pages before exploring further.
Your unique API key for authentication.
Get your API key here: https://va.landing.ai/settings/api-key.
If using the EU endpoint, get your API key here: https://va.eu-west-1.landing.ai/settings/api-key.
Request model for split classification endpoint.
List of split classification options/configuration. Can be provided as JSON string in form data.
Show child attributes
The Markdown file or Markdown content to split.
The URL to the Markdown file to split.
Model version to use for split classification. Defaults to the latest version.
Was this page helpful?